ClarisDrawGraphInternal::Zone Struct Reference documentation

ClarisDrawGraphInternal::Zone Struct Reference

Internal: the generic structure used to store a zone of a ClarisDrawGraph. More...

Inheritance diagram for ClarisDrawGraphInternal::Zone:

## Public Types
enum | Type { T_Zone , T_Pict , T_Shape , T_Unknown , T_Line , T_Rect , T_RectOval , T_Oval , T_Arc , T_Poly , T_Connector }
| the list of types More...

## Public Member Functions
| Zone ()
| constructor
| Zone (Zone const &)=default
virtual | ~Zone ()
| destructor
MWAWBox2f | getBdBox () const
| return the zone bdbox
virtual Type | getType () const
| return the main type
virtual Type | getSubType () const
| return the subtype
virtual int | getNumData () const
| return the number of data to define this zone in the file
virtual void | print (std::ostream &) const
| print the data contains
virtual ClarisWksStruct::DSET::Child | getChild () const
| return a child corresponding to this zone
virtual int | getZoneId () const
| returns the id of the reference zone

## Public Attributes
int | m_zoneType
| the zone type
int | m_flag
| the zone main flag
int | m_page
| the page (checkme: or frame linked )
MWAWBox2f | m_box
| the bdbox
int | m_ordering
| the ordering
Style | m_style
| the style

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &zone)
| operator<<

## Detailed Description

Internal: the generic structure used to store a zone of a ClarisDrawGraph.

## Member Enumeration Documentation

## ◆ Type

enum ClarisDrawGraphInternal::Zone::Type

the list of types

Enumerator
T_Zone |
T_Pict |
T_Shape |
T_Unknown |
T_Line |
T_Rect |
T_RectOval |
T_Oval |
T_Arc |
T_Poly |
T_Connector |

## Constructor & Destructor Documentation

## ◆ Zone() [1/2]

ClarisDrawGraphInternal::Zone::Zone | ( |  | ) |
| inline

constructor

Referenced by operator<<, Zone(), ClarisDrawGraphInternal::ZonePict::ZonePict(), ClarisDrawGraphInternal::ZoneShape::ZoneShape(), ClarisDrawGraphInternal::ZoneUnknown::ZoneUnknown(), and ClarisDrawGraphInternal::ZoneZone::ZoneZone().

## ◆ Zone() [2/2]

ClarisDrawGraphInternal::Zone::Zone | ( | Zone const & |  | ) |
| default

## ◆ ~Zone()

ClarisDrawGraphInternal::Zone::~Zone | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ getBdBox()

MWAWBox2f ClarisDrawGraphInternal::Zone::getBdBox | ( |  | ) | const
| inline

return the zone bdbox

Referenced by ClarisDrawGraph::readShape(), and ClarisDrawGraph::sendShape().

## ◆ getChild()

virtual ClarisWksStruct::DSET::Child ClarisDrawGraphInternal::Zone::getChild | ( |  | ) | const
| inlinevirtual

return a child corresponding to this zone

Reimplemented in ClarisDrawGraphInternal::ZonePict, ClarisDrawGraphInternal::ZoneShape, ClarisDrawGraphInternal::ZoneUnknown, and ClarisDrawGraphInternal::ZoneZone.

## ◆ getNumData()

virtual int ClarisDrawGraphInternal::Zone::getNumData | ( |  | ) | const
| inlinevirtual

return the number of data to define this zone in the file

Reimplemented in ClarisDrawGraphInternal::ZonePict, ClarisDrawGraphInternal::ZoneShape, ClarisDrawGraphInternal::ZoneUnknown, and ClarisDrawGraphInternal::ZoneZone.

## ◆ getSubType()

virtual Type ClarisDrawGraphInternal::Zone::getSubType | ( |  | ) | const
| inlinevirtual

return the subtype

Reimplemented in ClarisDrawGraphInternal::ZonePict, ClarisDrawGraphInternal::ZoneShape, ClarisDrawGraphInternal::ZoneUnknown, and ClarisDrawGraphInternal::ZoneZone.

## ◆ getType()

virtual Type ClarisDrawGraphInternal::Zone::getType | ( |  | ) | const
| inlinevirtual

return the main type

Reimplemented in ClarisDrawGraphInternal::ZonePict, ClarisDrawGraphInternal::ZoneShape, ClarisDrawGraphInternal::ZoneUnknown, and ClarisDrawGraphInternal::ZoneZone.

## ◆ getZoneId()

virtual int ClarisDrawGraphInternal::Zone::getZoneId | ( |  | ) | const
| inlinevirtual

returns the id of the reference zone

Reimplemented in ClarisDrawGraphInternal::ZoneZone.

## ◆ print()

virtual void ClarisDrawGraphInternal::Zone::print | ( | std::ostream & |  | ) | const
| inlinevirtual

print the data contains

Reimplemented in ClarisDrawGraphInternal::ZonePict, ClarisDrawGraphInternal::ZoneShape, ClarisDrawGraphInternal::ZoneUnknown, and ClarisDrawGraphInternal::ZoneZone.

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Zone const & | zone )
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2f ClarisDrawGraphInternal::Zone::m_box

the bdbox

Referenced by getBdBox(), getChild(), ClarisDrawGraphInternal::ZonePict::getChild(), ClarisDrawGraphInternal::ZoneShape::getChild(), ClarisDrawGraphInternal::ZoneUnknown::getChild(), ClarisDrawGraphInternal::ZoneZone::getChild(), operator<<, ClarisDrawGraph::readGroupDef(), ClarisDrawGraph::readShape(), and Zone().

## ◆ m_flag

int ClarisDrawGraphInternal::Zone::m_flag

the zone main flag

Referenced by operator<<, ClarisDrawGraph::readGroupDef(), and Zone().

## ◆ m_ordering

int ClarisDrawGraphInternal::Zone::m_ordering

the ordering

Referenced by operator<<, ClarisDrawGraph::readGroupDef(), and Zone().

## ◆ m_page

int ClarisDrawGraphInternal::Zone::m_page

the page (checkme: or frame linked )

Referenced by operator<<, and Zone().

## ◆ m_style

Style ClarisDrawGraphInternal::Zone::m_style

the style

Referenced by operator<<, ClarisDrawGraph::readGroupDef(), ClarisDrawGraph::readShape(), ClarisDrawGraph::sendShape(), and Zone().

## ◆ m_zoneType

int ClarisDrawGraphInternal::Zone::m_zoneType

the zone type

Referenced by operator<<, ClarisDrawGraph::readGroupDef(), ClarisDrawGraph::readShape(), and Zone().

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx